<?php

session_start(); 

if ( (isset($_SESSION['SCRIPT_PATH'])) && ($_SESSION['SCRIPT_PATH'] != "") ) {
	echo "<font color='green'>";
	echo "<b>Test #2:</b> " . $_SESSION['SCRIPT_PATH'];
	echo "</font>";

	echo "<hr>";
	echo "<p>You should see a file path displayed above the line.";
}
else {
	echo "<font color='red'>";
	echo "<b>Test #2 failed.</b>";
	echo "<p>It appears that your web server does not support PHP 'session passing' properly. You must ask your web host to enable PHP 'session passing' support.";
	echo "<p>This is probably a mistake by your web host, because PHP 'session passing' support is a very basic function of PHP.  You must ask your web host to fix this problem. <ol><li>Tell them that 'PHP session passing is not working on the server'.</li><li>Give them the URL you used to start test #1.</li></ol>Your web host can perform the tests themselves and view the source code from the two test files to see what is the problem.";
	echo "<p>Once your web host has fixed this problem, then snippetmaster should work for you.";
	echo "</font>";
}

exit;



?>